linux – 如何在Debian 8上安装Mono 4.0.1?

我试图将Mono-Complete安装到Debian 8的全新全新安装中,以便按照(code.visualstudio.com/docs)使用ASP.NET 5,遵循关于Ubuntu 12.04 / Debian 8或更高版本需要第二个存储库。

但是,按照说明并尝试“apt-get install mono-complete”,我最终会遇到以下问题:http://puu.sh/hxdLB/dbecbf9645.png

这是一个100%新鲜的Debian 8虚拟机(Virtualbox),刚刚完成安装Debian 8 NetInst Cinnamon,以root身份登录系统,并添加了2个备份。

如果我尝试并手动安装其中的一个依赖项(例如mono-devel),则会出现一个更大的未满足依赖关系列表,这些列表将不会被安装。

Mono软件包有一个问题,现在应该解决,请参阅http://www.mono-project.com/docs/getting-started/install/linux/#libgdiplus-debian-80-and-later-not-ubuntu

原因是Debian 8没有libjpeg8,libgdiplus(Mono的组件)需要。

翻译自:https://stackoverflow.com/questions/29982959/how-to-install-mono-4-0-1-on-debian-8

转载注明原文:linux – 如何在Debian 8上安装Mono 4.0.1?